cordova.define("com-itx-watch-support-plugin.WatchSupportPlugin", function(require, exports, module) {
'use strict';

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var cordova = require('cordova'),
    exec = require('cordova/exec');

var WatchSupportPlugin = function () {
    function WatchSupportPlugin() {
        _classCallCheck(this, WatchSupportPlugin);

        this.pluginName = 'WatchSupportPlugin';
    }

    _createClass(WatchSupportPlugin, [{
        key: 'callPlugin',
        value: function callPlugin(method, success, error) {
            var params = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : [];

            if (this.isIos()) {
                exec(success, error, this.pluginName, method, params);
            } else {
                error({ message: 'Platform not supported.' });
            }
        }
    }, {
        key: 'isPaired',
        value: function isPaired(success, error) {
            this.callPlugin('isPaired', success, error);
        }
    }, {
        key: 'isAppInstalled',
        value: function isAppInstalled(success, error) {
            this.callPlugin('isAppInstalled', success, error);
        }
    }, {
        key: 'isIos',
        value: function isIos() {
            return cordova.platformId.toLowerCase() === 'ios';
        }
    }]);

    return WatchSupportPlugin;
}();

module.exports = new WatchSupportPlugin();
});
