cordova.define("com-itx-backgroundsync.BackgroundSyncProcess", function(require, exports, module) {
"use strict";

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var BackgroundSync = function () {
    function BackgroundSync() {
        _classCallCheck(this, BackgroundSync);

        this.pluginName = "BackgroundSync";
        this.prefix = 'process';
    }

    _createClass(BackgroundSync, [{
        key: "callPlugin",
        value: function callPlugin(method) {
            var _this = this;

            var params = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : [];

            return new Promise(function (resolve, reject) {
                var methodName = _this.prefix + "_" + method;
                cordova.exec(resolve, function (error) {
                    return reject(_this.handleRejection(error, methodName));
                }, _this.pluginName, methodName, params);
            });
        }
    }, {
        key: "listen",
        value: function listen(callback) {
            cordova.exec(callback, callback, this.pluginName, this.prefix + "_listen", []);
        }
    }, {
        key: "handleRejection",
        value: function handleRejection(error, method) {
            return {
                plugin: this.pluginName,
                method: method,
                code: error,
                message: this.errors[error]
            };
        }
    }, {
        key: "start",
        value: function start() {
            return this.callPlugin("start", []);
        }
    }, {
        key: "force",
        value: function force() {
            return this.callPlugin("force", []);
        }
    }, {
        key: "isRunning",
        value: function isRunning() {
            return this.callPlugin("running", []);
        }
    }, {
        key: "errors",
        get: function get() {
            return {
                error: 'Sync error',
                0: 'Process status is false'
            };
        }
    }]);

    return BackgroundSync;
}();

module.exports = new BackgroundSync();
});
