cordova.define("com-itx-biometric.Biometric", function(require, exports, module) {
'use strict';

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var cordova = require('cordova'),
    exec = require('cordova/exec');

var Biometric = function () {
    function Biometric() {
        _classCallCheck(this, Biometric);

        this.pluginName = "Biometric";
    }

    _createClass(Biometric, [{
        key: 'callPlugin',
        value: function callPlugin(method, success, error) {
            var params = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : [];

            if (cordova.platformId.toLowerCase() == 'android' || cordova.platformId.toLowerCase() == 'ios') {
                exec(success, error, this.pluginName, method, params);
            } else {
                console.info('Ignoring due to unsuported Platform');
                error(false);
            }
        }
    }, {
        key: 'isAvailable',
        value: function isAvailable(success, error) {
            this.callPlugin("isAvailable", success, error);
        }
    }, {
        key: 'set',
        value: function set(key, data, success, error) {
            this.callPlugin("set", success, error, [key, data]);
        }
    }, {
        key: 'get',
        value: function get(key, message, success, error) {
            this.callPlugin("get", success, error, [key, message]);
        }
    }, {
        key: 'has',
        value: function has(key, success, error) {
            this.callPlugin("has", success, error, [key]);
        }
    }, {
        key: 'remove',
        value: function remove(key, success, error) {
            this.callPlugin("remove", success, error, [key]);
        }
    }, {
        key: 'validate',
        value: function validate(message, success, error) {
            this.callPlugin("validateBiometric", success, error, [message]);
        }
    }]);

    return Biometric;
}();

module.exports = new Biometric();
});
