cordova.define("com-itx-cct.ChromeCustomTabs", function(require, exports, module) {
"use strict";

function _instanceof(left, right) { if (right != null && typeof Symbol !== "undefined" && right[Symbol.hasInstance]) { return right[Symbol.hasInstance](left); } else { return left instanceof right; } }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _classCallCheck(instance, Constructor) { if (!_instanceof(instance, Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

var exec = require('cordova/exec');

var ChromeCustomTabs =
/*#__PURE__*/
function () {
  function ChromeCustomTabs() {
    _classCallCheck(this, ChromeCustomTabs);
  }

  _createClass(ChromeCustomTabs, [{
    key: "callPlugin",
    value: async function callPlugin(method) {
      var _this = this;

      var params = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : [];
      var callback = arguments.length > 2 ? arguments[2] : undefined;
      var promise = new Promise(function (resolve, reject) {
        exec(resolve, function (error) {
          return reject(_this.handleError(error, method));
        }, ChromeCustomTabs.name, method, params);
      });

      if (callback) {
        try {
          var res = await promise;
          callback(true, res);
        } catch (e) {
          callback(false, e);
        }
      } else {
        return promise;
      }
    }
  }, {
    key: "show",
    value: function show(options) {
      if (!options.url) {
        return;
      }

      return this.callPlugin('show', [options]);
    }
  }, {
    key: "isAvailable",
    value: function isAvailable(callback) {
      return this.callPlugin('isAvailable', [], callback);
    }
  }, {
    key: "handleError",
    value: function handleError(error, method) {
      var errorInfo = {
        plugin: ChromeCustomTabs.name,
        method: method
      };

      if (error.message) {
        return _objectSpread({}, errorInfo, error);
      }

      return _objectSpread({}, errorInfo, {
        code: -1,
        message: error
      });
    }
  }]);

  return ChromeCustomTabs;
}();

module.exports = new ChromeCustomTabs();
});
